<script>
  $(document).ready(function () {
    $('.medal_tooltip').tooltipster({
      delay: 0,
      theme: 'tooltipster-yellow',
      touchDevices: false,
      trigger: 'hover'
    });
    $('.member_tooltip').tooltipster({
      delay: 0,
      theme: 'tooltipster-members',
      touchDevices: false,
      position: 'bottom',
      arrow: false,
      trigger: 'hover',
      offsetX: '2px',
      offsetY: '-15px'
    });
    $('#damage-info').tooltipster({
      content: $(
        "<div class='damage-info-area'><table><tr><td><b>Your damage</b></td><td>@Model.CurrentDamage</td></tr></table><b>Attacker</b><table><tr><td>Damage</td><td>@Model.Battle.Fighters.Where(x => x.SideId == Model.Battle.AttackerId).Sum(x => x.Damage)</td></tr><tr><td>Fighters</td><td>@Model.Battle.Fighters.Count(x => x.SideId == Model.Battle.AttackerId)</td></tr><tr><td>Average damage</td><td>@(Model.Battle.Fighters.Any(x => x.SideId == Model.Battle.AttackerId) ? Math.Round(Model.Battle.Fighters.Where(x => x.SideId == Model.Battle.AttackerId).Average(x => x.Damage), 2) : 0)</td></tr></table><br /><b>Defender</b><table><tr><td>Damage</td><td>@Model.Battle.Fighters.Where(x => x.SideId == Model.Battle.DefenderId).Sum(x => x.Damage)</td></tr><tr><td>Fighters</td><td>@Model.Battle.Fighters.Count(x => x.SideId == Model.Battle.DefenderId)</td></tr><tr><td>Average damage</td><td>@(Model.Battle.Fighters.Where(x => x.SideId == Model.Battle.DefenderId).Any() ? Math.Round(Model.Battle.Fighters.Where(x => x.SideId == Model.Battle.DefenderId).Average(x => x.Damage), 2) : 0)</td></tr><tr><td>Starting wall</td><td>@Model.Battle.StartWallSize</td></tr></table></div>"
      ),
      position: 'bottom',
      theme: 'tooltipster-yellow'
    });
  });

</script>
<ng-template #allies1>
  <div *ngFor="let ally of battleAttackerAllies">
    <img src="./../../../../assets/{{ally.flagLocation[0]}}"> {{ally.name}}
  </div>
</ng-template>
<ng-template #allies2>
  <div *ngFor="let ally of battleDefenderAllies">
    <img src="./../../../../assets/{{ally.flagLocation[0]}}"> {{ally.name}}
  </div>
</ng-template>
<div class="basic-page">
  <div class="page-header" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
    <div nz-col nzXs="24" nzSm="14">
      <h3>Battle for {{battle.region?.name}}
        <nz-spin nzTip="Loading battle..." [nzSpinning]="loadings[4]" style="margin-right: 200px;">
        </nz-spin>
        <nz-spin nzTip="Loading fighter..." [nzSpinning]="loadings[5]" style="margin-left: 200px;">
        </nz-spin>
      </h3>
    </div>
    <div nz-col nzXs="24" nzSm="10">
      <a nzBlock nz-button nzType="blue" href='{{hostUrl}}/battle/{{battleId}}/stats' target="_blank">Statistics</a>
    </div>
  </div>
  <div class="warsView filler-bottom">
    <ul class="topWar">
      <li>
        <a>
          <img src="{{hostUrl}}/{{battle.battle?.attacker?.avatarLocation}}">
        </a>
      </li>
      <li>
        <span>Attacker</span>
        <br>
        <a>{{battle.battle?.attacker?.entityId === 0 ? 'Wasteland' : battle.battle?.attacker?.name  }}</a>
        <br>
        <span nz-popover nzPopoverTitle="Allies" [nzPopoverContent]="allies1" nzPopoverTrigger="hover"
          nzPopoverPlacement="bottomLeft" class="smaller">Allies<img class="allies"
            src="{{hostUrl}}/assets/img/misc/info.png" Title=""></span>
      </li>
      <li class="huge">
        vs
      </li>
      <li>
        <span>Defender</span>
        <br>
        <a>{{battle.battle?.defender?.entityId === 0 ? 'Wasteland' : battle.battle?.defender?.name  }}</a>
        <br>

        <span nz-popover nzPopoverTitle="Allies" [nzPopoverContent]="allies2" nzPopoverTrigger="hover"
          nzPopoverPlacement="bottomRight" class="smaller"><img class="allies"
            src="{{hostUrl}}/assets/img/misc/info.png" Title="">Allies</span>
      </li>
      <li>
        <a>
          <img src="{{hostUrl}}/{{battle.battle?.defender?.avatarLocation}}">
        </a>
      </li>
    </ul>
  </div>
  <ul class="topWarInfo filler-bottom small">
    <li>
      <ul>
        <li><a href='{{hostUrl}}/citizen/{{battleHeros[0]?.CitizenId}}'
            target="_blank">{{battleHeros[0]?.Citizen?.Name}}</a></li>
        <li><a class='real' href='{{hostUrl}}/citizen/{{battleHeros[0]?.CitizenId}}' target="_blank"><img
              src='{{hostUrl}}/{{battleHeros[0]?.Citizen?.AvatarLocation}}'>
            <img class="wreath" src="{{hostUrl}}/assets/img/misc/wreath.png"></a>
        </li>
        <li class='small' style='padding-top: 7px;'><span>{{battleHeros[0]?.Damage}}</span></li>
      </ul>
    </li>
    <li>
      <ul>
        <li class="large"> <span>{{timeLeft}}</span></li>
        <li>Until the region can be occupied or secured</li>
      </ul>
    </li>
    <li>
      <ul>
        <li style='text-overflow: ellipsis; overflow: hidden;'><a
            href='{{hostUrl}}/citizen/{{battleHeros[1]?.CitizenId}}'
            target="_blank">{{battleHeros[1]?.Citizen?.Name}}</a></li>
        <li><a class='real' href='{{hostUrl}}/citizen/{{battleHeros[1]?.CitizenId}}' target="_blank"><img
              src='{{hostUrl}}/{{battleHeros[1]?.Citizen?.AvatarLocation}}'>
            <img class="wreath" src="{{hostUrl}}/assets/img/misc/wreath.png"></a>
        </li>
        <li class='small' style='padding-top: 7px;'><span>{{battleHeros[1]?.Damage}}</span></li>
      </ul>
    </li>
  </ul>
  <nz-spin [nzSpinning]="loadings[1]">
    <div style="text-align: center;" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between"
      *ngIf="battleUser !== undefined && battleUser.canFight === true">
      <div nz-col nzXs="24" *ngIf="battle.battle?.isResistance === true && battleUser.canFight === true">
        <button (click)="fight(battle.battle?.attackerId)" class="redButton" type="submit"><img
            src='{{hostUrl}}/assets/img/fight.svg' />
          ATTACK</button>
      </div>
      <div nz-col nzXs="24" *ngIf="battle.battle?.isResistance === true && battleUser.canFight === true">
        <button (click)="fight(battle.battle?.defenderId)" class="bluButton" type="submit"><img
            src='{{hostUrl}}/assets/img/fight.svg' />
          DEFEND</button>
      </div>
      <div nz-col nzXs="24" *ngIf="battle.battle?.isResistance === false && battleUser.canFight === true">
        <button (click)="fight()" class="redButton" type="submit"><img src='{{hostUrl}}/assets/img/fight.svg' />
          FIGHT</button>
      </div>
    </div>
  </nz-spin>
  <div style="text-align: center;" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
    <div nz-col nzXs="12" nzSm="12" nzMd="6">
      <nz-spin [nzSpinning]="loadings[2]">
        <img src="{{hostUrl}}/assets/img/ico/prod/hospital.png" width="60px"><br>
        <button nz-button nzType="green" (click)="useHospital()">
          Heal
        </button>
        <p>The hospital in <a target="_blank"
            href="{{hostUrl}}/region/{{battleUser?.region?.id}}">{{ battleUser?.region?.name }}</a>
          can restore <span class="green">{{ battleUser?.region?.hospitalQ * 10 }}</span>
          wellness.</p>
      </nz-spin>
    </div>
    <div nz-col nzXs="12" nzSm="12" nzMd="6" *ngIf="prioritySettings.weapons.available.length > 0" nz-popover
      nzPopoverTitle="Weapon priority" [nzPopoverContent]="weaponsSelect" nzPopoverPlacement="bottom">
      <nz-spin [nzSpinning]="loadings[3]">
        <img src="{{hostUrl}}/assets/img/ico/prod/wq1.png" width="60px"><br>
        <span class="gold" *ngFor="let i of prioritySettings.weapons.selectedQ | q">&#9733;</span><br>
        <p>Check Inventory</p>
      </nz-spin>
      <ng-template #weaponsSelect>
        <nz-list [nzDataSource]="prioritySettings.weapons.available" [nzRenderItem]="item">
          <ng-template #item let-item>
            <nz-list-item>
              <span *ngIf="item.quality > 0" style="min-width: 200px;">
                <span class="gold" *ngFor="let i of item.quality | q">&#9733;</span>
                (Amount: {{item.amount}})
              </span>
              <span *ngIf="item.quality == 0" style="min-width: 200px;">Reset to
                default</span>
              <button nz-button nzType="green" style="float: right" style="border:none;"
                (click)="setWeaponPriority(item.quality)">Set</button>
            </nz-list-item>
          </ng-template>
        </nz-list>
      </ng-template>
    </div>
    <div nz-col nzXs="12" nzSm="12" nzMd="6" *ngIf="prioritySettings.juices.available.length > 0" nz-popover
      nzPopoverTitle="Juice quality" [nzPopoverContent]="juicesSelect" nzPopoverPlacement="bottom">
      <nz-spin [nzSpinning]="loadings[3]">
        <img src="{{hostUrl}}/assets/img/ico/prod/jq1.png" width="60px"><br>
        <button *ngIf="prioritySettings.juices.selectedQ > 0" nz-button nzType="green" (click)="useJuice()"
          style="border:none;">
          Use <span class="gold" *ngFor="let i of prioritySettings.juices.selectedQ | q">&#9733;</span>
        </button>
        <p>Check Inventory</p>
      </nz-spin>
      <ng-template #juicesSelect>
        <nz-list [nzDataSource]="prioritySettings.juices.available" [nzRenderItem]="item">
          <ng-template #item let-item>
            <nz-list-item>
              <span *ngIf="item.quality > 0" style="min-width: 200px;">
                <span class="gold" *ngFor="let i of item.quality | q">&#9733;</span>
                (Amount: {{item.amount}})
              </span>
              <span *ngIf="item.quality == 0" style="min-width: 200px;">Reset to
                default</span>
              <button nz-button nzType="green" style="float: right" style="border:none;"
                (click)="setJuicePriority(item.quality)">Set</button>
            </nz-list-item>
          </ng-template>
        </nz-list>
      </ng-template>
    </div>
    <div nz-col nzXs="12" nzSm="12" nzMd="6">
      <nz-spin [nzSpinning]="loadings[0]">
        <img src="{{hostUrl}}/assets/img/misc/medical_case.png" width="60px"><br>
        <button nz-button nzType="green" (click)="useWellnessPack()">
          Wellness Pack
        </button>
        <p> 10 Wellness / 2 Gold </p>
      </nz-spin>
    </div>
  </div>
  <ul class="fightingGrounds small">
    <li class="fightersA">
      <div *ngFor="let o of attackers">
        <ul>
          <li>
            <a href='{{hostUrl}}/citizen/{{o?.CitizenId}}' target="_blank">
              <img class="avatar left" src='{{hostUrl}}/{{o?.Citizen?.AvatarLocation}}'>
            </a>
          </li>
          <li>
            <a href='{{hostUrl}}/citizen/{{o?.CitizenId}}' target="_blank">{{o?.Citizen?.Name}}</a>
            <br>
            <span class="white small">{{o?.Damage}}</span> <span class="smaller"> DMG</span>
          </li>
        </ul>
      </div>
    </li>
    <li>
      <div class="topWarBar">
        <img src="{{hostUrl}}/assets/img/misc/wall.png">
        <ul class="warBar">
          <li [style.height.%]="wallPercentages[0]">
          </li>
          <li [style.height.%]="wallPercentages[1]">
            <div class="value">
              <span class="small">{{wallSize}}</span>
            </div>
          </li>
        </ul>
      </div>
    </li>
    <li class="fightersB">
      <div *ngFor="let o of defenders">
        <ul>
          <li>
            <a href='{{hostUrl}}/citizen/{{o?.CitizenId}}' target="_blank">
              <img class="avatar" class="right" src='{{hostUrl}}/{{o?.Citizen?.AvatarLocation}}'>
            </a>
          </li>
          <li>
            <a href='{{hostUrl}}/citizen/{{o?.CitizenId}}' target="_blank">{{o?.Citizen?.Name}}</a>
            <br>
            <span class="white small">{{o?.Damage}}</span> <span class="smaller"> DMG</span>
          </li>
        </ul>
      </div>
    </li>
  </ul>
  <div nz-row nzType="flex" nzAlign="middle" nzJustify="start">
    <div nz-col nzXs="24">
      <p class="spectators">Spectators</p>
    </div>
    <div nz-col nzXs="24" ngClass="padded">
      <div nz-row nzType="flex" nzAlign="middle" nzJustify="start">
        <div nz-col *ngFor="let item of spectators" class="member_tooltip" Title="item[0].Entity.Name">
          <a style="display: block;" href="{{hostUrl}}/{{item[0].Entity.EntityTypeName}}/{{item[0].EntityId}}"
            target="_blank">
            <img class="avatar" src="{{hostUrl}}/{{item[0].Entity.AvatarLocation}}" alt="" Title="">
          </a>
        </div>
      </div>
    </div>
  </div>

</div>
